## ros-one-industrial-utils 0.7.3-7jammy.20251023.0134

=== debian/changelog ===
ros-one-industrial-utils (0.7.3-7jammy.20251023.0134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 01:34:40 +0000

ros-one-industrial-utils (0.7.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-utils (0.7.2-0jammy) jammy; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, ipa-nhg, Sean Yen, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-utils (0.7.1-0jammy) jammy; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-utils (0.7.0-0jammy) jammy; urgency=high

  * Added missed test dependencies to rosunit. Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>
  * Reworded error displayed when joints cannot be found Fix #180 <https://github.com/ros-industrial/industrial_core/issues/180>
  * Use urdf::*SharedPtr instead of boost::shared_ptr #170 <https://github.com/ros-industrial/industrial_core/issues/170>
  * Fixed issue with urdfdom headers
  * Make building unit tests for client and utils conditional. Fix #171 <https://github.com/ros-industrial/industrial_core/issues/171>.
  * Switched to urdf::*SharedPtr instead of boost::shared_ptr to stay compatible.
  * Contributors: Dmitry Rozhkov, G.A. vd. Hoorn, Jochen Sprickerhof, Levi Armstrong, Nadia Hammoudeh García, Shaun Edwards, ridhwanluthra

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-utils (0.6.0-0jammy) jammy; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-utils (0.5.1-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-utils (0.5.0-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-utils (0.4.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-industrial-utils (0.4.2-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-industrial-utils (0.4.1-0jammy) jammy; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 23 Mar 2015 00:00:00 -0000

ros-one-industrial-utils (0.4.0-0jammy) jammy; urgency=high

  * Silent warnings
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Mar 2015 00:00:00 -0000

ros-one-industrial-utils (0.3.4-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 21 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.3-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 13 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.2-0jammy) jammy; urgency=high

  * Removed header from industrial_utils/utils.h (not required)
  * Contributors: Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 10 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.1-0jammy) jammy; urgency=high

  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Fix #52 <https://github.com/ros-industrial/industrial_core/issues/52>: ignore fixed joints in param_utils::getJointVelocityLimits
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 09 Jan 2014 00:00:00 -0000

## ros-one-industrial-utils 0.7.3-7jammy.20260220.2224

=== debian/changelog ===
ros-one-industrial-utils (0.7.3-7jammy.20260220.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 20 Feb 2026 22:24:28 +0000

## ros-one-industrial-utils 0.7.3-7noble.20251023.0132

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(industrial_utils)

find_package(catkin REQUIRED COMPONENTS roscpp urdf)

find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
    CATKIN_DEPENDS roscpp urdf
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)

include_directories(include
  ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/param_utils.cpp src/utils.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})



if(CATKIN_ENABLE_TESTING)
    catkin_add_gtest(utest_inds_utils test/utest.cpp)
    target_link_libraries(utest_inds_utils ${PROJECT_NAME} ${catkin_LIBRARIES})
endif()


install(
    TARGETS ${PROJECT_NAME} 
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
    DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-industrial-utils (0.7.3-7noble.20251023.0132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 01:32:23 +0000

ros-one-industrial-utils (0.7.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-utils (0.7.2-0noble) noble; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, ipa-nhg, Sean Yen, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-utils (0.7.1-0noble) noble; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-utils (0.7.0-0noble) noble; urgency=high

  * Added missed test dependencies to rosunit. Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>
  * Reworded error displayed when joints cannot be found Fix #180 <https://github.com/ros-industrial/industrial_core/issues/180>
  * Use urdf::*SharedPtr instead of boost::shared_ptr #170 <https://github.com/ros-industrial/industrial_core/issues/170>
  * Fixed issue with urdfdom headers
  * Make building unit tests for client and utils conditional. Fix #171 <https://github.com/ros-industrial/industrial_core/issues/171>.
  * Switched to urdf::*SharedPtr instead of boost::shared_ptr to stay compatible.
  * Contributors: Dmitry Rozhkov, G.A. vd. Hoorn, Jochen Sprickerhof, Levi Armstrong, Nadia Hammoudeh García, Shaun Edwards, ridhwanluthra

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-utils (0.6.0-0noble) noble; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-utils (0.5.1-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-utils (0.5.0-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-utils (0.4.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-industrial-utils (0.4.2-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-industrial-utils (0.4.1-0noble) noble; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 23 Mar 2015 00:00:00 -0000

ros-one-industrial-utils (0.4.0-0noble) noble; urgency=high

  * Silent warnings
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Mar 2015 00:00:00 -0000

ros-one-industrial-utils (0.3.4-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 21 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.3-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 13 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.2-0noble) noble; urgency=high

  * Removed header from industrial_utils/utils.h (not required)
  * Contributors: Shaun Edwards

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 10 Jan 2014 00:00:00 -0000

ros-one-industrial-utils (0.3.1-0noble) noble; urgency=high

  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Fix #52 <https://github.com/ros-industrial/industrial_core/issues/52>: ignore fixed joints in param_utils::getJointVelocityLimits
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 09 Jan 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-industrial-utils
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roscpp, ros-one-urdf
Homepage: http://ros.org/wiki/industrial_utils
Standards-Version: 3.9.2

Package: ros-one-industrial-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-urdf
Description: Industrial utils is a library package that captures common funcitonality for the ROS-Industrial distribution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-industrial-utils//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-industrial-utils 0.7.3-7noble.20260220.2236

=== debian/changelog ===
ros-one-industrial-utils (0.7.3-7noble.20260220.2236) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 20 Feb 2026 22:36:32 +0000
